<template>
  <div v-if="item.id">
    <Card>
      <div slot="header" class="clearfix">
        <span style="line-height:40px; font-size: 16px;">详细信息</span>
        <fButton
          @click.native="handleDel"
          class="ml10"
          style="float: right"
          type="danger"
        >
          删除
        </fButton>
        <fButton style="float: right" type="primary">编辑</fButton>
      </div>
      <Row>
        <Col :span="12">
          <httpImg :src="item.photos" />
        </Col>
        <Col :span="12">
          <div>姓名：{{item.name}}</div>
          <div>性别：{{item.gender}}</div>
          <div>身份证号：{{item.cardId}}</div>
        </Col>
      </Row>
    </Card>
    <Card>
      <div slot="header" class="clearfix">
        <span>关系</span>
      </div>
    </Card>
  </div>
</template>

<script>
import { Card, Row, Col } from 'element-ui'
import { userDel } from '../../../server/personnel.js'

export default {
  props: {
    item: {
      type: Object,
      default: () => ({}),
      required: true
    }
  },
  computed: {
    orgId() {
      return this.$store.getters.basicUserInfo.orgId
    }
  },
  components: {
    Card,
    Row,
    Col
  }
}
</script>
